Loading...
Searching...
No Matches
gx_child_process::GxChild Class Reference

`#include <gx_child_process.h>`

## Public Member Functions

bool | kill ()
bool | hasPid (pid_t pid)
bool | hasName (string name)

## Public Attributes

sigc::signal< void, bool > | terminated

## Private Member Functions

| GxChild (string name, int killsignal, int pid)

## Private Attributes

string | m_name
int | m_killsignal
int | m_pid

## Friends

class | GxChildProcs

## Detailed Description

Definition at line 35 of file gx_child_process.h.

## Constructor & Destructor Documentation

## GxChild()

gx_child_process::GxChild::GxChild | ( | string | name,
|  | int | killsignal,
|  | int | pid )

inline private

Definition at line 46 of file gx_child_process.h.

## Member Function Documentation

## hasName()

bool gx_child_process::GxChild::hasName | ( | string | name | ) |

inline

Definition at line 40 of file gx_child_process.h.

## hasPid()

bool gx_child_process::GxChild::hasPid | ( | pid_t | pid | ) |

inline

Definition at line 39 of file gx_child_process.h.

## kill()

bool gx_child_process::GxChild::kill | ( |  | ) |

## Friends And Related Symbol Documentation

## GxChildProcs

friend class GxChildProcs

friend

Definition at line 48 of file gx_child_process.h.

Referenced by GxChildProcs.

## Member Data Documentation

## m_killsignal

int gx_child_process::GxChild::m_killsignal

private

Definition at line 44 of file gx_child_process.h.

Referenced by GxChild().

## m_name

string gx_child_process::GxChild::m_name

private

Definition at line 43 of file gx_child_process.h.

Referenced by GxChild(), and hasName().

## m_pid

int gx_child_process::GxChild::m_pid

private

Definition at line 45 of file gx_child_process.h.

Referenced by GxChild(), and hasPid().

## terminated

sigc::signal<void, bool> gx_child_process::GxChild::terminated

Definition at line 37 of file gx_child_process.h.

The documentation for this class was generated from the following file:

- src/headers/gx_child_process.h